Heroku Build Failure: error:0308010C:digital envelope routines::unsupported

This page summarizes the projects mentioned and recommended in the original post on /r/rubyonrails

Our great sponsors
  • PopRuby - Clothing and Accessories for Ruby Developers
  • LearnThisRepo.com - Learn 300+ open source libraries for free using AI.
  • InfluxDB - Power Real-Time Data Analytics at Scale
  • WorkOS - The modern API for authentication & user identity.
  • Devise

    Flexible authentication solution for Rails with Warden.

    [changelog] https://github.com/heartcombo/devise/blob/main/CHANGELOG.md [upgrade guide] https://github.com/heartcombo/devise/wiki/How-To:-Upgrade-to-Devise-4.9.0-%5BHotwire-Turbo-integration%5D

  • rubygems

    Library packaging and distribution for Ruby.

    -----> Building on the Heroku-22 stack -----> Determining which buildpack to use for this app ! Warning: Multiple default buildpacks reported the ability to handle this app. The first buildpack in the list below will be used. Detected buildpacks: Ruby,Node.js See https://devcenter.heroku.com/articles/buildpacks#buildpack-detect-order -----> Ruby app detected -----> Installing bundler 2.3.25 -----> Removing BUNDLED WITH version in the Gemfile.lock -----> Compiling Ruby/Rails -----> Using Ruby version: ruby-3.1.2 -----> Installing dependencies using bundler 2.3.25 Running: BUNDLE_WITHOUT='development:test' BUNDLE_PATH=vendor/bundle BUNDLE_BIN=vendor/bundle/bin BUNDLE_DEPLOYMENT=1 bundle install -j4 Fetching gem metadata from https://rubygems.org/........ Fetching rake 13.1.0 Installing rake 13.1.0 Fetching connection_pool 2.4.1 Fetching bigdecimal 3.1.4 Fetching concurrent-ruby 1.2.2 Fetching base64 0.2.0 Installing bigdecimal 3.1.4 with native extensions Installing connection_pool 2.4.1 Installing base64 0.2.0 Using ruby2_keywords 0.0.5 Fetching minitest 5.20.0 Fetching mutex_m 0.2.0 Installing minitest 5.20.0 Installing mutex_m 0.2.0 Installing concurrent-ruby 1.2.2 Fetching erubi 1.12.0 Fetching builder 3.2.4 Installing builder 3.2.4 Installing erubi 1.12.0 Fetching racc 1.7.3 Fetching crass 1.0.6 Installing racc 1.7.3 with native extensions Fetching rack 2.2.8 Installing crass 1.0.6 Fetching nio4r 2.7.0 Installing rack 2.2.8 Installing nio4r 2.7.0 with native extensions Fetching websocket-extensions 0.1.5 Installing websocket-extensions 0.1.5 Fetching zeitwerk 2.6.12 Installing zeitwerk 2.6.12 Fetching timeout 0.4.1 Installing timeout 0.4.1 Fetching marcel 1.0.2 Installing marcel 1.0.2 Fetching mini_mime 1.1.5 Installing mini_mime 1.1.5 Fetching date 3.3.4 Installing date 3.3.4 with native extensions Fetching public_suffix 5.0.4 Installing public_suffix 5.0.4 Fetching stringio 3.1.0 Installing stringio 3.1.0 with native extensions Fetching io-console 0.6.0 Installing io-console 0.6.0 with native extensions Fetching webrick 1.8.1 Installing webrick 1.8.1 Fetching thor 1.3.0 Installing thor 1.3.0 Fetching kaminari-core 1.2.2 Installing kaminari-core 1.2.2 Fetching ffi 1.16.3 Installing ffi 1.16.3 with native extensions Fetching tilt 2.3.0 Installing tilt 2.3.0 Fetching selectize-rails 0.12.6 Installing selectize-rails 0.12.6 Fetching amazing_print 1.5.0 Installing amazing_print 1.5.0 Fetching aws-eventstream 1.3.0 Installing aws-eventstream 1.3.0 Fetching aws-partitions 1.863.0 Installing aws-partitions 1.863.0 Fetching jmespath 1.6.2 Installing jmespath 1.6.2 Fetching bcrypt 3.1.20 Installing bcrypt 3.1.20 with native extensions Fetching msgpack 1.7.2 Installing msgpack 1.7.2 with native extensions Using bundler 2.3.25 Fetching content_disposition 1.0.0 Installing content_disposition 1.0.0 Fetching orm_adapter 0.5.0 Installing orm_adapter 0.5.0 Fetching mini_magick 4.12.0 Installing mini_magick 4.12.0 Fetching pg 1.5.4 Installing pg 1.5.4 with native extensions Fetching redis 4.8.1 Installing redis 4.8.1 Fetching semantic_range 3.0.0 Fetching stripe 5.55.0 Installing semantic_range 3.0.0 Fetching turbolinks-source 5.2.0 Installing stripe 5.55.0 Installing turbolinks-source 5.2.0 Fetching drb 2.2.0 Installing drb 2.2.0 Fetching i18n 1.14.1 Installing i18n 1.14.1 Fetching tzinfo 2.0.6 Fetching rack-session 1.0.2 Installing tzinfo 2.0.6 Installing rack-session 1.0.2 Fetching rack-test 2.1.0 Fetching sprockets 4.2.1 Installing rack-test 2.1.0 Fetching warden 1.2.9 Installing sprockets 4.2.1 Installing warden 1.2.9 Fetching rack-proxy 0.7.7 Installing rack-proxy 0.7.7 Fetching websocket-driver 0.7.6 Fetching net-protocol 0.2.2 Installing net-protocol 0.2.2 Installing websocket-driver 0.7.6 with native extensions Fetching nokogiri 1.15.5 (x86_64-linux) Installing nokogiri 1.15.5 (x86_64-linux) Fetching addressable 2.8.5 Installing addressable 2.8.5 Fetching psych 5.1.1.1 Installing psych 5.1.1.1 with native extensions Fetching reline 0.4.1 Installing reline 0.4.1 Fetching rackup 1.0.0 Installing rackup 1.0.0 Fetching puma 5.6.7 Installing puma 5.6.7 with native extensions Fetching aws-sigv4 1.8.0 Installing aws-sigv4 1.8.0 Fetching sidekiq 6.5.12 Installing sidekiq 6.5.12 Fetching bootsnap 1.17.0 Installing bootsnap 1.17.0 with native extensions Fetching turbolinks 5.2.1 Installing turbolinks 5.2.1 Fetching money 6.16.0 Installing money 6.16.0 Fetching activesupport 7.1.2 Installing activesupport 7.1.2 Fetching net-imap 0.4.7 Installing net-imap 0.4.7 Fetching net-pop 0.1.2 Installing net-pop 0.1.2 Fetching net-smtp 0.4.0 Installing net-smtp 0.4.0 Fetching loofah 2.22.0 Installing loofah 2.22.0 Fetching down 5.4.1 Installing down 5.4.1 Fetching sassc 2.4.0 Installing sassc 2.4.0 with native extensions Fetching ruby-vips 2.2.0 Installing ruby-vips 2.2.0 Fetching aws-sdk-core 3.190.0 Installing aws-sdk-core 3.190.0 Fetching monetize 1.12.0 Installing monetize 1.12.0 Fetching rails-dom-testing 2.2.0 Installing rails-dom-testing 2.2.0 Fetching globalid 1.2.1 Installing globalid 1.2.1 Fetching activemodel 7.1.2 Installing activemodel 7.1.2 Fetching mail 2.8.1 Installing mail 2.8.1 Fetching rails-html-sanitizer 1.6.0 Installing rails-html-sanitizer 1.6.0 Fetching shrine 3.5.0 Installing shrine 3.5.0 Fetching rdoc 6.6.0 Installing rdoc 6.6.0 Fetching image_processing 1.12.2 Installing image_processing 1.12.2 Fetching aws-sdk-kms 1.74.0 Installing aws-sdk-kms 1.74.0 Fetching activejob 7.1.2 Installing activejob 7.1.2 Fetching activerecord 7.1.2 Installing activerecord 7.1.2 Fetching actionview 7.1.2 Installing actionview 7.1.2 Fetching irb 1.10.0 Installing irb 1.10.0 Fetching aws-sdk-s3 1.141.0 Installing aws-sdk-s3 1.141.0 Fetching kaminari-activerecord 1.2.2 Installing kaminari-activerecord 1.2.2 Fetching actionpack 7.1.2 Installing actionpack 7.1.2 Fetching kaminari-actionview 1.2.2 Installing kaminari-actionview 1.2.2 Fetching jbuilder 2.11.5 Installing jbuilder 2.11.5 Fetching actioncable 7.1.2 Installing actioncable 7.1.2 Fetching activestorage 7.1.2 Installing activestorage 7.1.2 Fetching actionmailer 7.1.2 Installing actionmailer 7.1.2 Fetching railties 7.1.2 Installing railties 7.1.2 Fetching sprockets-rails 3.4.2 Installing sprockets-rails 3.4.2 Fetching kaminari 1.2.2 Installing kaminari 1.2.2 Fetching actionmailbox 7.1.2 Installing actionmailbox 7.1.2 Fetching actiontext 7.1.2 Fetching momentjs-rails 2.29.4.1 Installing actiontext 7.1.2 Installing momentjs-rails 2.29.4.1 Fetching jquery-rails 4.6.0 Installing jquery-rails 4.6.0 Fetching responders 3.1.1 Fetching money-rails 1.15.0 Installing responders 3.1.1 Fetching stimulus-rails 1.3.0 Installing money-rails 1.15.0 Installing stimulus-rails 1.3.0 Fetching webpacker 5.4.4 Fetching tailwindcss-rails 2.0.32 (x86_64-linux) Installing webpacker 5.4.4 Fetching rails 7.1.2 Installing rails 7.1.2 Fetching datetime_picker_rails 0.0.7 Installing datetime_picker_rails 0.0.7 Fetching devise 4.9.3 Installing devise 4.9.3 Installing tailwindcss-rails 2.0.32 (x86_64-linux) Fetching sassc-rails 2.1.2 Installing sassc-rails 2.1.2 Fetching administrate 0.16.0 Installing administrate 0.16.0 Fetching administrate-field-enum 0.0.9 Installing administrate-field-enum 0.0.9 Bundle complete! 40 Gemfile dependencies, 114 gems now installed. Gems in the groups 'development' and 'test' were not installed. Bundled gems are installed into `./vendor/bundle` Post-install message from devise:

  • PopRuby

    PopRuby: Clothing and Accessories for Ruby Developers. Fashion meets Ruby! Shop our fun Ruby-inspired apparel and accessories designed to celebrate the joy and diversity of the Ruby community.

NOTE: The number of mentions on this list indicates mentions on common posts plus user suggested alternatives. Hence, a higher number means a more popular project.

Suggest a related project

Related posts